const path = require('path');

module.exports = (baseConfig, env, config) => {
  config.module.rules.push({
    test: /\.(js|jsx)$/,
    loaders: [
      require.resolve('@storybook/addon-storysource/loader')
    ],
    include: [path.resolve(__dirname, '../src')],
    enforce: 'pre',
  });
  config.module.rules.push({
    test: /\.(ts|tsx)$/,
    use: [{
      loader: require.resolve('awesome-typescript-loader')
    }]
  });
  config.resolve.extensions.push('jsx', '.ts', '.tsx');

  return config;
};
// https://storybook.js.org/configurations/typescript-config/