import React from 'react';

import { storiesOf } from '@storybook/react';
// import { action } from '@storybook/addon-actions';
// import { linkTo } from '@storybook/addon-links';
import GoogleFontIcons from '../src/head/GoogleFontIcons';

const container = {
    display: 'flex',
    flexFlow: 'row wrap',
    justifyContent: 'space-around',
    overflow: 'hidden',
};

storiesOf('Fonts', module)
    .addDecorator(story => (
        <React.Suspense fallback={'loading...'}>
            <div style={container}>
                {story()}
            </div>
        </React.Suspense>
    ))
    .add('with Google Material Icons', () => (
        <React.Fragment>
            <GoogleFontIcons family="Material+Icons" />
            <i className="material-icons md-48">face</i>
            <i className="material-icons md-48 md-inactive">face</i>
            <i className="material-icons md-48 md-dark">face</i>
            <i className="material-icons md-48 md-dark md-inactive">face</i>
            <i className="material-icons md-48 md-light">face</i>
            <i className="material-icons md-48 md-light md-inactive">face</i>
            <i className="material-icons md-48">&#xE87C;</i>
        </React.Fragment>
    ));
